Fim do Repositório Medibuntu

Chegou ao fim o repositório Medibuntu. Veja como atualizar seu sistema.

Logo ao entrar no site oficial “http://www.medibuntu.org/“, nota-se a frase:

O Projeto Medibuntu chegou ao fim.

APRENDA A DOMINAR O LINUX

Aprenda a dominar o LINUX de uma vez por todos, pegue sua cópia

  • Ferramentas para instalar softwares adicionais
  • Shell do LINUX passo a passo, e muito mais...

Para mais detalhes, de acordo com o site oficial, deve-se entrar neste link: https://launchpad.net/medibuntu/+announcement/11951

Medibuntu chegou ao fim

Por quê o fim do Medibuntu?

No dia 11.09.13, todos os repositórios do Medibuntu foram fechados, pois não é mais necessário utilizá-lo. Os pacotes com o tempo se tornaram obsoletos, desnecessários ou foram movidos para repositórios oficiais do Ubuntu.

Porém, há um pacote necessário para instalar que havia no Medibuntu e não há nos repositórios oficiais: o libdvdcss (libdvdcss2).

Assunto indicado:  Open Movie Editor

É com este pacote que é possível ler DVD’s. Se seu computador com Ubuntu não lê DVD, instale este pacote (dependendo do caso, outros pacotes multimídia) e teste.

O sistema pode ler DVDs sem o pacote normalmente, mas há alguns DVDs que contém bloqueios que acabam fazendo com que o sistema não consiga ler. Mais comumente encontrado este tipo de problema com DVD original. E este pacote ajuda a lê-los, além de dar o suporte para “ripar” (fazer um backup do mesmo).

Para quem usava o repositório Medibuntu, remova.

Veja se há alguma linha no sources.list com estes repositórios e apague:

deb http://packages.medibuntu.org/ "seu sistema" free non-free
deb-src http://packages.medibuntu.org/ "seu sistema" free non-free

Se não houver, veja se existe um arquivo na pasta sources.list.d e apague:

ls /etc/apt/sources.list.d/
sudo rm /etc/apt/sources.list.d/medibuntu.list

Sobre a substituição de repositórios Medibuntu, fiz uma análise com um Live USB para ver se realmente os pacotes que continham neste repositório migraram para os repositórios oficiais.

Assunto indicado:  Selecione uma área do desktop e salve como uma imagem

Verifiquei os seguintes pacotes com o seguinte comando:

apt-cache show gstreamer0.10-ffmpeg gstreamer0.10-plugins-ugly flashplugin-installer faad ffmpeg ffmpeg2theora mencoder freepats libmjpegtools-dev libass4 libcdaudio1 libdirac-encoder0 libflite1 libgme0 libgstreamer-plugins-bad0.10-0 libmimic0 libmms0 libmodplug1 libmpcdec6 libofa0 libslv2-9 libsoundtouch0 libspandsp2 libvo-aacenc0 libvo-amrwbenc0 libwildmidi-config libwildmidi1 libzbar0 libzvbi-common libzvbi0 gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-bad | grep -A 2 "Package"

Mostraram que usam os repositórios “main, universe e multiverse“, e não mais o Medibuntu.

Porém, ao se instalar os tais pacotes e os mesmos necessitarem de atualização, notei que acabam usando também os repositórios “security, updates e proposed“.

Notei também que, os pacotes:

cdtool dvd+rw-tools cdrdao normalize-audio vcdimager dvdauthor sound-juicer soundconverter thoggen avidemux mediainfo mediainfo-gui vlc vlc-data vlc-dbg vlc-plugin-fluidsynth vlc-plugin-jack vlc-plugin-notify vlc-plugin-pulse vlc-plugin-sdl vlc-plugin-svg vlc-plugin-zvbi arj lha p7zip p7zip-full p7zip-rar rar unrar unace-nonfree libxss1 chromium-browser

Usam, na maioria, os repositórios “universe e multiverse

Assunto indicado:  Antes de instalar o Ubuntu, siga esta dica

No entanto, para quem usava o Medibuntu, apenas habilite os seguintes repositórios:

Pacotes normais:

main, universe, multiverse

Opção para upgrade:

precise-security, precise-updates, precise-proposed

Em seguida adicione o repositório onde o pacote libdvdcss (libdvdcss2) foi adotado com exatamente os seguintes comandos:

sudo touch /etc/apt/sources.list.d/libdvdcss.list
sudo sh -c "echo 'deb http://ftp://ftp.videolan.org/pub/debian/stable /' >> /etc/apt/sources.list.d/libdvdcss.list"
sudo sh -c "echo 'deb-src http://ftp://ftp.videolan.org/pub/debian/stable /' >> /etc/apt/sources.list.d/libdvdcss.list"

Adicione o GPG do novo repositório e atualize as informações:

wget -O - http://download.videolan.org/pub/debian/videolan-apt.asc | sudo apt-key add -
sudo apt-get update

Para quem não tem o pacote instalado, instale:

sudo apt-get install libdvdcss2

Fontes:
https://help.ubuntu.com/community/Medibuntu
https://launchpad.net/medibuntu/+announcement/11951
http://www.videolan.org/developers/libdvdcss.html

Artigo feito pelo colaborador Elppans D. Elven

Dúvidas ou sugestões sobre o Medibuntu, comente abaixo.